<div class="flex flex-col flex-auto items-center sm:min-w-0" style="background-color:#F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div id="buyGold" class="flex flex-col sm:flex-row sm:flex-wrap sm:mx-6 sm:mt-4">
        <div class="sm:flex-1">
            <div class="text-indigo-900 font-Semibold-40 font-141461 leading-none mt-6 sm:px-6 mb-8"
                style="text-align:center">Purchase
                Confirmation</div>
        </div>
    </div>

    <div class="w-full items-center justify-center max-w-100  mb-10 mx-auto sm:mx-0 box-width">
        <div class="">
            <form action="">
                <div class="bg-card rounded-1xl shadow overflow-hidden">
                    <div class="items-center justify-center" style="text-align:left">
                        <div class="pb-3">
                            <div class="font-Medium-18 font-7B7B7B mt-7" style="text-align:center !important;">
                                Cash Wallet Balance</div>
                            <div class="font-Medium-20 font-000" style="text-align:center !important;"
                                [ngClass]="{'font-ff0000': labelAlertVisible, 'font-000': !labelAlertVisible, 'disabled': !labelAlertVisible}">
                                RM {{availAmount |
                                number:'1.2-2'}}</div>
                            <div style="text-align:center !important;">
                                <span [style.font-size.px]="12" [style.color]="'red'" *ngIf="labelAlertVisible"
                                    class="alert-message">Insufficient Balance</span>
                            </div>
                        </div>
                        <div class="flex items-center mt-4">
                            <div class="flex-auto mt-px border-t-20 w-full text-center py-2"
                                style="border:8px red;background-color: red;color: white;">Gold price may expire in
                                {{getElapsedTime()}}</div>
                        </div>
                        <div class="pb-5 mt-7 ml-7">
                            <div class="font-Semibold-18">Purchase Details
                            </div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Date</div>
                            <div class="font-Semibold-16">{{ today | date:'dd MMMM yyyy - hh:mm:ss a' }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Price per Gram</div>
                            <div class="font-Semibold-16">RM{{ price | number:'1.2-2' }}/g</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Quantity</div>
                            <div class="font-Semibold-16">{{ quantity | number:'.6' }}g</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Total Amount</div>
                            <div class="font-Semibold-16">RM{{ netPrice | number:'1.2-2' }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="tfont-Regular-16 font-7B7B7B">Transaction Fee {{setupTransFee}}%</div>
                            <div class="font-Semibold-16">RM{{ chargeTransFee | number:'1.2-2' }}</div>
                        </div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">SST {{setupSstFee}}%</div>
                            <div class="font-Semibold-16">RM{{ chargeSstFee | number:'1.2-2' }}</div>
                        </div>
                        <div class="border-t my-2 mx-7"></div>
                        <div class="pb-5 ml-7">
                            <div class="font-Regular-16 font-7B7B7B">Total Payable Amount</div>
                            <div class="font-Semibold-16">RM{{ totalPrice | number:'1.2-2' }}</div>
                        </div>

                        <div class="relative flex flex-col flex-auto items-center w-auto mb-7 mt-5 mx-7">
                            <button class="fuse-mat-button-large w-full button-r5" [color]="'primary'" mat-flat-button
                                (click)="purchaseNow()" [disabled]="disableButton" *ngIf="labelAlertHidden">
                                <span class="font-Semibold-14">Buy Now</span>
                            </button>
                            <button class="fuse-mat-button-large w-full button-r5" [color]="'primary'" mat-flat-button
                                (click)="topupNow()" [disabled]="disableButton" *ngIf="labelAlertVisible">
                                <span class="font-Semibold-14">Top Up & Buy Now</span>
                            </button>
                            <button class="fuse-mat-button-large w-full button-r5-white mt-3"
                                style="border:1px solid #0038FF !important;" mat-flat-button
                                [routerLink]="['/buy-bgd']">
                                <span class="font-Semibold-14" style="color: #0038FF;">Cancel</span>
                            </button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>